Source: vulture
Section: devel
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3,
               python3-pint <!nocheck>,
               python3-pytest,
               python3-setuptools,
               txt2man,
Standards-Version: 4.6.1
Homepage: https://github.com/jendrikseipp/vulture
Vcs-Git: https://salsa.debian.org/python-team/packages/vulture.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/vulture
Testsuite: autopkgtest-pkg-pybuild

Package: vulture
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Enhances: prospector,
Description: scans for unused ("dead") code in a Python program
 Vulture uses static code analysis to find unused classes, functions and
 variables in Python code. This helps to cleanup and find errors in
 programs. However, the user has to be aware that the static method has
 its limitations.
